Source: binutils-mingw-w64
Maintainer: Stephen Kitt <skitt@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 11),
               binutils-source (>= 2.34.90.20200706~),
               bison,
               flex,
               dejagnu,
               quilt,
               rdfind,
               symlinks,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64
Vcs-Git: https://salsa.debian.org/mingw-w64-team/binutils-mingw-w64.git
Homepage: https://www.gnu.org/software/binutils/
Rules-Requires-Root: no

Package: binutils-mingw-w64
Architecture: all
Depends: ${misc:Depends},
         binutils-mingw-w64-i686,
         binutils-mingw-w64-x86-64
Built-Using: binutils (= ${binutils:Version})
Description: Cross-binutils for Win32 and Win64 using MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the toolchain binutils.

Package: binutils-mingw-w64-i686
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         binutils-common (>= ${local:Version})
Breaks: binutils-mingw-w64 (<< 2.22-1+1)
Replaces: binutils-mingw-w64 (<< 2.22-1+1)
Built-Using: binutils (= ${binutils:Version})
Description: Cross-binutils for Win32 (x86) using MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the toolchain binutils targeting 32-bit Windows.

Package: binutils-mingw-w64-x86-64
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         binutils-common (>= ${local:Version})
Breaks: binutils-mingw-w64 (<< 2.22-1+1)
Replaces: binutils-mingw-w64 (<< 2.22-1+1)
Built-Using: binutils (= ${binutils:Version})
Description: Cross-binutils for Win64 (x64) using MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the toolchain binutils targeting 64-bit Windows.
